﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using Infragistics.Windows.DataPresenter;

namespace XDGNavigation
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public DataTable table { get; set; }

        public MainWindow()
        {
            InitializeComponent();
            table = new DataTable();

            table.Columns.Add("Dosage", typeof(bool));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(string));
            table.Columns.Add("Date", typeof(DateTime));

            //
            // Here we add five DataRows.
            //
            table.Rows.Add(false, "Indocin", "David", DateTime.Now);
            table.Rows.Add(false, "Enebrel", "Sam", DateTime.Now);
            table.Rows.Add(false, "Hydralazine", "Christoff", DateTime.Now);
            table.Rows.Add(false, "Combivent", "Janet", DateTime.Now);
            table.Rows.Add(false, "Dilantin", "Melanie", DateTime.Now);


            this.DataContext = table.DefaultView;

        }

        private void xamDataGrid1_Loaded(object sender, RoutedEventArgs e)
        {
            xamDataGrid1.Records[0].IsActive = true;
            xamDataGrid1.Focus();
        }

        private void xamDataGrid1_PreviewKeyDown(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Enter)
            {
                xamDataGrid1.ExecuteCommand(DataPresenterCommands.CellFirstInRecord);
                CellValuePresenter.FromCell(xamDataGrid1.ActiveCell).Value = !(CellValuePresenter.FromCell(xamDataGrid1.ActiveCell).Value as bool?);
            }
        }
    }
}
